#include<bits/stdc++.h>
using namespace std;
string X,Y,Z;
int main(){
cin>>X>>Y;
for(int i=0;i<max(X.size(),Y.size());i++){
    if(X[i]==Y[i]){
        Z+=X.substr(i,1);
        Z+=X.substr(i,1);
    }
    else if(X[i]>Y[i]){
        Z+=X.substr(i,1);
    }
    else if(X[i]<Y[i]){
        Z+=Y.substr(i,1);
    }

}
    cout<<Z<<endl;










return 0;
}